TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

MatrixRing ( fld^fin F, fld^fin E ) -> alg^mat, map()

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2

### Description

<shortdoc> Given a finite field F and a subfield E of F such that F is of degree n over E, return the matrix algebra A of degree n over E which is isomorphic to F, together with the isomorphism from F onto A such that the generator of F over E is mapped to the generator of A. </shortdoc>

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack